import request from '@/utils/request'

// 查询支付明细列表
export function listStorePayment(query) {
  return request({
    url: '/store/storePayment/list',
    method: 'get',
    params: query
  })
}
export function getStorePaymentList(query) {
  return request({
    url: '/store/storePayment/getStorePaymentList',
    method: 'get',
    params: query
  })
}
export function getMyPaymentList(query) {
  return request({
    url: '/store/storePayment/getMyPaymentList',
    method: 'get',
    params: query
  })
}





// 查询支付明细详细
export function getStorePayment(paymentId) {
  return request({
    url: '/store/storePayment/' + paymentId,
    method: 'get'
  })
}

// 新增支付明细
export function addStorePayment(data) {
  return request({
    url: '/store/storePayment',
    method: 'post',
    data: data
  })
}

// 修改支付明细
export function updateStorePayment(data) {
  return request({
    url: '/store/storePayment',
    method: 'put',
    data: data
  })
}

// 删除支付明细
export function delStorePayment(paymentId) {
  return request({
    url: '/store/storePayment/' + paymentId,
    method: 'delete'
  })
}

// 导出支付明细
export function exportStorePayment(query) {
  return request({
    url: '/store/storePayment/export',
    method: 'get',
    params: query
  })
}